org.eclnt.jsfserver.elements.componentnodes

## Class OSMVIEWERWAYPOINTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OSMVIEWERWAYPOINTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OSMVIEWERWAYPOINTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSMVIEWERWAYPOINTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OSMVIEWERWAYPOINTNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindActionListener(IActionListenerDelegation value)`
    `OSMVIEWERWAYPOINTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindComment(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindHeight(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindHideinfopopup(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindLatitude(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindLongitude(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindMarkerimage(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindMarkerimageheight(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindMarkerimagewidth(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindText(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `OSMVIEWERWAYPOINTNode` | `setAccessiblename(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setActionListener(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setAdapterbinding(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setAttributemacro(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setBgpaint(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setComment(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setConfiginfo(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setHeight(int value)`
    `OSMVIEWERWAYPOINTNode` | `setHeight(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setHideinfopopup(boolean value)`
    `OSMVIEWERWAYPOINTNode` | `setHideinfopopup(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setId(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setLatitude(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setLongitude(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setMarkerimage(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setMarkerimageheight(int value)`
    `OSMVIEWERWAYPOINTNode` | `setMarkerimageheight(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setMarkerimagewidth(int value)`
    `OSMVIEWERWAYPOINTNode` | `setMarkerimagewidth(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setReference(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setRendered(boolean value)`
    `OSMVIEWERWAYPOINTNode` | `setRendered(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setStylevariant(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setText(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setTooltip(java.lang.String value)`
    `OSMVIEWERWAYPOINTNode` | `setWidth(int value)`
    `OSMVIEWERWAYPOINTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OSMVIEWERWAYPOINTNode

          public OSMVIEWERWAYPOINTNode()

  - ### Method Detail

    - #### setId

          public OSMVIEWERWAYPOINTNode setId(java.lang.String value)

    - #### setAccessiblename

          public OSMVIEWERWAYPOINTNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public OSMVIEWERWAYPOINTNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public OSMVIEWERWAYPOINTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OSMVIEWERWAYPOINTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public OSMVIEWERWAYPOINTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OSMVIEWERWAYPOINTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public OSMVIEWERWAYPOINTNode setAttributemacro(java.lang.String value)

    - #### setBgpaint

          public OSMVIEWERWAYPOINTNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public OSMVIEWERWAYPOINTNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setComment

          public OSMVIEWERWAYPOINTNode setComment(java.lang.String value)

    - #### bindComment

          public OSMVIEWERWAYPOINTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public OSMVIEWERWAYPOINTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OSMVIEWERWAYPOINTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public OSMVIEWERWAYPOINTNode setHeight(java.lang.String value)

    - #### bindHeight

          public OSMVIEWERWAYPOINTNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public OSMVIEWERWAYPOINTNode setHeight(int value)

    - #### setHideinfopopup

          public OSMVIEWERWAYPOINTNode setHideinfopopup(java.lang.String value)

    - #### bindHideinfopopup

          public OSMVIEWERWAYPOINTNode bindHideinfopopup(IDynamicContentBindingObject value)

    - #### setHideinfopopup

          public OSMVIEWERWAYPOINTNode setHideinfopopup(boolean value)

    - #### setLatitude

          public OSMVIEWERWAYPOINTNode setLatitude(java.lang.String value)

    - #### bindLatitude

          public OSMVIEWERWAYPOINTNode bindLatitude(IDynamicContentBindingObject value)

    - #### setLongitude

          public OSMVIEWERWAYPOINTNode setLongitude(java.lang.String value)

    - #### bindLongitude

          public OSMVIEWERWAYPOINTNode bindLongitude(IDynamicContentBindingObject value)

    - #### setMarkerimage

          public OSMVIEWERWAYPOINTNode setMarkerimage(java.lang.String value)

    - #### bindMarkerimage

          public OSMVIEWERWAYPOINTNode bindMarkerimage(IDynamicContentBindingObject value)

    - #### setMarkerimageheight

          public OSMVIEWERWAYPOINTNode setMarkerimageheight(java.lang.String value)

    - #### bindMarkerimageheight

          public OSMVIEWERWAYPOINTNode bindMarkerimageheight(IDynamicContentBindingObject value)

    - #### setMarkerimageheight

          public OSMVIEWERWAYPOINTNode setMarkerimageheight(int value)

    - #### setMarkerimagewidth

          public OSMVIEWERWAYPOINTNode setMarkerimagewidth(java.lang.String value)

    - #### bindMarkerimagewidth

          public OSMVIEWERWAYPOINTNode bindMarkerimagewidth(IDynamicContentBindingObject value)

    - #### setMarkerimagewidth

          public OSMVIEWERWAYPOINTNode setMarkerimagewidth(int value)

    - #### setReference

          public OSMVIEWERWAYPOINTNode setReference(java.lang.String value)

    - #### setRendered

          public OSMVIEWERWAYPOINTNode setRendered(java.lang.String value)

    - #### bindRendered

          public OSMVIEWERWAYPOINTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OSMVIEWERWAYPOINTNode setRendered(boolean value)

    - #### setStylevariant

          public OSMVIEWERWAYPOINTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OSMVIEWERWAYPOINTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public OSMVIEWERWAYPOINTNode setText(java.lang.String value)

    - #### bindText

          public OSMVIEWERWAYPOINTNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public OSMVIEWERWAYPOINTNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public OSMVIEWERWAYPOINTNode bindTooltip(IDynamicContentBindingObject value)

    - #### setWidth

          public OSMVIEWERWAYPOINTNode setWidth(java.lang.String value)

    - #### bindWidth

          public OSMVIEWERWAYPOINTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public OSMVIEWERWAYPOINTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.